fedora core 1 & radeon 9600XT
Ergebnis 1 bis 5 von 5

Thema: fedora core 1 & radeon 9600XT

  1. #1
    Grünschnabel
    Registriert seit
    05.01.2004
    Beiträge
    2

    Unhappy fedora core 1 & radeon 9600XT

    hi..

    ich habe da ein problem mit fedora core 1 und meiner neu erstadenen Sapphire Radeon 9600XT und zwar: sie läuft nicht ordentlich unter fedora..
    ich habe mir den ati treiber für linux gezogen und ohne probleme installiert..
    schon bei der installation war ich bei den "advanced graphics" fragen langsam verwirrt..
    aber das habe ich noch richtig hinbekommen denke ich..
    das problem ist jetzt nur, dass weder der 2d noch der 3d support läuft.. wenn ich in dem graphischen control panel von ati nachschaue heißt es dort auch das wäre eine pci karte und desweiteren gibt er unter opengl irgendwas von wegen unbekannt an (kann es nicht genau hinschreiben, bin leider gezwungen momentan windows zu benutzen)..
    habe auch lsmod probiert aber da schreibt er mir immer dass er den befehl nicht finden kann.. also kurzgesagt wird der treiber installiert, konfiguriert läuft jedoch nicht richtig, da die karte nicht als agp karte läuft und da die opengl beschleunigung nicht läuft.. kann es irgendwie mit fedora oder der tatsache, dass ich vorher eine geforce 2mx drin hatte zusammenhängen? wenn ihr mehr infos benötigt um etwas dazu zu schreiben dann sagt mir wie ich die bekomme und ich poste es..
    wenn es irgendwie mit fedora zusammenhängt und ich es gar nicht beheben kann.. wie funktioniert die karte mit suse oder mandrake? wollte mandrake eh ma ausprobieren und letztes suse, welches ich hatte war 7.3...
    danke schonmal im voraus




  2. Inside Anonymous - Lesetipp zum Sonderpreis


     Inside Anonymous erzählt erstmalig die Geschichte dreier Mitglieder des harten Kerns:
    ihren Werdegang und ihre ganz persönliche Motivation, die sie zu überzeugten Hackern machte.
    Basierend auf vielen exklusiven Interviews bietet das Buch einen einzigartigen und spannenden
    Einblick in die Köpfe, die hinter der virtuellen Community stehen.
    Das Buch kostet bei terrashop.de jetzt statt 22,00 EUR nur noch 4,99 EUR.




    Jetzt bei terrashop.de anschauen – Nur solange der Vorrat reicht


  3. #2
    Keyboard-Ninja Avatar von Zero
    Registriert seit
    12.11.2003
    Ort
    echo $HOME
    Beiträge
    599
    hier steht, was du beim wechsle von einer nvidia zur ati karte
    beachten musst.
    http://www.g4l.de/cms/faq/showfaq.php?id=14

    auf www.gmpf.de gibts noch ein gutes ATI Howto,
    damit habe ich ne ATI Readon 9700 Pro einwandfrei zum laufen
    bekommen. Wenn du nach dem HowTo gehst, kann eigentlich nichts schief gehen.

    btw:
    mach bei deinem nächsten Post, bitte paar Absätze
    liest sich nämlich so echt unübersichtlich

  4. #3
    <>-<
    Registriert seit
    23.05.2003
    Ort
    Wuppertal, NRW
    Beiträge
    4.362
    @zero - nicht immer nur zur Konkurrenz verweisen.

    Guckst Du hier in unsere FAQ zu ATI : http://www.unixboard.de/vb3/showthread.php?t=4064
    politikstube.de und theologieforum.de - die christliche Community
    If you use a GNU/Linux distribution that is easy to install & configure, you're considered an idiot. If you use one that takes days to install and configure, you're considered smart. THAT'S BACKWARDS!
    Travis Tennies (2005)

  5. #4
    Grünschnabel
    Registriert seit
    05.01.2004
    Beiträge
    2

    Unhappy will immer noch nicht

    dankef für die schnelle Antwort!!
    aber ich komme immernoch nicht klar..

    habe versucht die nvidia zu ati schritte auszuführen, aber
    1) /usr/lib/libGL.so und /usr/lib/libGLcore.so existierten auch so schon nicht.. also gibt es nichts zu löschen
    2) das mit den verlinken hat auch nicht geklappt weil er /usr/lib/libGL.so nicht gefunden hat (was mir auch logisch erscheint, weil ich es ja vorher gelöscht haben soll)
    3) und /usr/lib/libGLcore.so konnte ich nicht löschen weil ich es ja nicht habe..

    wenn ich glxgears starte wird angezeigt:

    Xlib: extension "GLX" missing on display ":0.0".
    Error: couldn't get an RGB, Double-buffered visual

    ich habe auch wie im andren faq beschrieben mit lsmod nachgesehen ob fglrx geladen ist.. nachdem ich es mit modprobe fglrx nachgeladen habe hat er mir folgendes ausgegeben:

    "Warning: loading /lib/modules/2.4.22-1.2115.nptl/kernel/drivers/char/drm/fglrx.o will taint the kernel: non-GPL license - Proprietary. (C) 2002 - ATI Technologi es, Starnberg, GERMANY
    See http://www.tux.org/lkml/#export-tainted for information about tainted modu les
    Module fglrx loaded, with warnings"

    für

    lsmod | grep fglrx

    gibt er danach folgendes aus:

    fglrx 189416 0 (unused)

    das soweit..
    zusätzlich denke ich kann die ausgabe bei der treiber installation interessant sein.. die sieht wie folgt aus..

    [root@localhost rpms etc]# rpm -Uvh --force fglrx-glc22-4.3.0-3.7.0.i386.rpm
    Preparing... ########################################### [100%]
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    Warnung: user mtippett does not exist - using root
    Warnung: group mtippett does not exist - using root
    1:fglrx-glc22 ########################################### [100%]
    *** Trying to install a precompiled kernel module.
    *** WARNING ***
    Tailored kernel module for fglrx not present in your system.
    You must go to /lib/modules/fglrx/build_mod subdir
    and execute './make.sh' to build a fully customed kernel module.
    Afterwards go to /lib/modules/fglrx and run './make_install.sh'
    in order to install the module into your kernel's module repository.
    (see readme.txt for more details.)

    As of now you can still run your XServer in 2D, but hardware acclerated
    OpenGL will not work and 2D graphics will lack performance.

    failed.
    *** Found kernel module build environment, generating kernel module now.
    ATI module generator V 2.0
    ==========================
    initializing...
    cleaning...
    patching 'highmem.h'...
    skipping patch for 'drmP.h', not needed
    patching 'drm_os_linux.h'...
    probing for VMA API version...
    doing script based build for kernel 2.4.x and similar
    make.sh: line 1009: [: -ge: unary operator expected
    compiling './agpgart_be.c'...
    In file included from /lib/modules/2.4.22-1.2115.nptl/build/include/asm/semaphore.h:39,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/fs.h:202,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/capability.h:17,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/binfmts.h:4,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/sched.h:10,
    from agpgart_be.c:108:
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h: In function `__set_64bit_var':
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h:189: Warnung: dereferencing type-punned pointer will break strict-aliasing rules
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h:189: Warnung: dereferencing type-punned pointer will break strict-aliasing rules
    compiling './agp3.c'...
    In file included from /lib/modules/2.4.22-1.2115.nptl/build/include/asm/semaphore.h:39,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/fs.h:202,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/capability.h:17,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/binfmts.h:4,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/sched.h:10,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/mm.h:4,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/slab.h:14,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/asm/pci.h:37,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/pci.h:658,
    from agp3.c:61:
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h: In function `__set_64bit_var':
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h:189: Warnung: dereferencing type-punned pointer will break strict-aliasing rules
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h:189: Warnung: dereferencing type-punned pointer will break strict-aliasing rules
    compiling './i7505-agp.c'...
    In file included from /lib/modules/2.4.22-1.2115.nptl/build/include/asm/semaphore.h:39,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/fs.h:202,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/capability.h:17,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/binfmts.h:4,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/sched.h:10,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/mm.h:4,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/slab.h:14,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/asm/pci.h:37,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/pci.h:658,
    from i7505-agp.c:33:
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h: In function `__set_64bit_var':
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h:189: Warnung: dereferencing type-punned pointer will break strict-aliasing rules
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h:189: Warnung: dereferencing type-punned pointer will break strict-aliasing rules
    compiling './nvidia-agp.c'...
    In file included from /lib/modules/2.4.22-1.2115.nptl/build/include/asm/semaphore.h:39,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/fs.h:202,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/capability.h:17,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/binfmts.h:4,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/sched.h:10,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/mm.h:4,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/slab.h:14,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/asm/pci.h:37,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/pci.h:658,
    from nvidia-agp.c:10:
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h: In function `__set_64bit_var':
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h:189: Warnung: dereferencing type-punned pointer will break strict-aliasing rules
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h:189: Warnung: dereferencing type-punned pointer will break strict-aliasing rules
    compiling './firegl_public.c'...
    In file included from /lib/modules/2.4.22-1.2115.nptl/build/include/asm/semaphore.h:39,
    from /lib/modules/2.4.22-1.2115.nptl/build/include/linux/fs.h:202,
    from firegl_public.c:76:
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h: In function `__set_64bit_var':
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h:189: Warnung: dereferencing type-punned pointer will break strict-aliasing rules
    /lib/modules/2.4.22-1.2115.nptl/build/include/asm/system.h:189: Warnung: dereferencing type-punned pointer will break strict-aliasing rules
    linking of fglrx kernel module...
    duplicating results into driver repository...
    done.
    ==============================
    - creating symlink
    - recreating module dependency list
    - trying a sample load of the kernel module
    Warning: loading /lib/modules/2.4.22-1.2115.nptl/kernel/drivers/char/drm/fglrx.o will taint the kernel: non-GPL license - Proprietary. (C) 2002 - ATI Technologies, Starnberg, GERMANY
    See http://www.tux.org/lkml/#export-tainted for information about tainted modules
    Module fglrx loaded, with warnings
    done.
    Installed: qt3 (gcc 3.2) based control panel application
    ===
    ATI display drivers successfully installed
    please run 'fglrxconfig' now
    ===
    [root@localhost rpms etc]#

    gibt es noch chancen für den patienten?

  6. #5
    Tripel-As Avatar von dalex
    Registriert seit
    28.10.2003
    Ort
    Augsburg
    Beiträge
    175
    Nun,
    ich habe heute eine Radeon das erste mal installiert und fast alles genauso angezeigt bekommen wie du. Jetzt mußt du eigentlich nur noch fglrxconfig im Textmodus ausführen. Alles gewissenhaft beantworten und X neu starten.

    Das wars. Läuft hier super

    Gruß dalex

Ähnliche Themen

  1. Fedora Core 1.0 - Flash funzt nicht
    Von mad-mongo im Forum RedHat,Fedora & CentOS
    Antworten: 7
    Letzter Beitrag: 19.01.2004, 21:47
  2. Fedora Core 1 und T-Dsl
    Von bast1e im Forum HowTo Datenbank
    Antworten: 1
    Letzter Beitrag: 02.01.2004, 21:39
  3. Fedora Core und Mp3
    Von Edward Nigma im Forum RedHat,Fedora & CentOS
    Antworten: 1
    Letzter Beitrag: 11.11.2003, 12:02
  4. Fedora Projekt
    Von LinuxSchwedy im Forum RedHat,Fedora & CentOS
    Antworten: 2
    Letzter Beitrag: 23.10.2003, 19:27
  5. Antworten: 0
    Letzter Beitrag: 05.02.2003, 12:30

Lesezeichen

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •